Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.http
Class URLProviderDefinition

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderDefinition
            |
            +--oracle.portal.provider.v2.DefaultProviderDefinition
                  |
                  +--oracle.portal.provider.v2.http.URLProviderDefinition

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public synchronized class URLProviderDefinition
extends DefaultProviderDefinition

Constructor Summary
`URLProviderDefinition()`

Method Summary
`java.lang.Object` | `getAuthentication()`
`java.lang.Object` | `getHttpsProxyInfo()`
`java.lang.Object` | `getProxyInfo()`
`java.lang.Object` | `getSubscriberDetails()`
`void` | `setAuthentication(java.lang.Object)`
`void` | `setHttpsProxyInfo(java.lang.Object)`
`void` | `setHttpsProxyInformation(HTTPClient.HTTPConnection)`
`void` | `setProxyInfo(java.lang.Object)`
`void` | `setProxyInformation(HTTPClient.HTTPConnection)`
`void` | `setSubscriberDetails(java.lang.Object)`

Methods inherited from class oracle.portal.provider.v2.DefaultProviderDefinition
`addContainerRenderer, addPortlet, addPreferenceStore, postInitialize, preInitialize, setCacheLevel, setDefaultLocale, setLocalePersonalizationLevel, setPassAllUrlParams, setProviderBuilder, setProviderInstanceClass, setRewriteUrls, setSession, setUseOldStyleHeaders`

Methods inherited from class oracle.portal.provider.v2.ProviderDefinition
`addPortletDefinition, addPreferenceStore, getCacheLevel, getContainerRenderer, getDefaultLocale, getHasSession, getLocalePersonalizationLevel, getOidManager, getPassAllUrlParams, getPortletDefinition, getPortletDefinitions, getPreferenceStore, getPreferenceStore, getProviderBuilder, getProviderContext, getProviderInstanceClass, getRewriteUrls, getUseOldStyleHeaders, init, setCacheLevel, setContainerRenderer, setDefaultLocale, setHasSession, setLocalePersonalizationLevel, setPassAllUrlParams, setPrefStoreName, setProviderBuilder, setProviderInstanceClass, setRewriteUrls, setUseOldStyleHeaders, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLProviderDefinition

    public URLProviderDefinition()

Method Detail

### setProxyInfo

    public void setProxyInfo(java.lang.Object)
                      throws PortletException

    `PortletException`

### setHttpsProxyInfo

    public void setHttpsProxyInfo(java.lang.Object)
                           throws PortletException

    `PortletException`

### setSubscriberDetails

    public void setSubscriberDetails(java.lang.Object)
                              throws PortletException

    `PortletException`

### setAuthentication

    public void setAuthentication(java.lang.Object)
                           throws PortletException

    `PortletException`

### getAuthentication

    public java.lang.Object getAuthentication()

### getHttpsProxyInfo

    public java.lang.Object getHttpsProxyInfo()

### getProxyInfo

    public java.lang.Object getProxyInfo()

### getSubscriberDetails

    public java.lang.Object getSubscriberDetails()

### setProxyInformation

    public void setProxyInformation(HTTPClient.HTTPConnection)

### setHttpsProxyInformation

    public void setHttpsProxyInformation(HTTPClient.HTTPConnection)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.